Bug 1539514 (CVE-2018-5759) - CVE-2018-5759 mujs: Improper management of AST depth in jsparse.c can allow a remote attacker to cause a denial of service via a crafted file
Summary: CVE-2018-5759 mujs: Improper management of AST depth in jsparse.c can allow a...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2018-5759
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1539515
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-29 05:24 UTC by Sam Fowler
Modified: 2019-09-29 14:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:38:30 UTC


Attachments (Terms of Use)

Description Sam Fowler 2018-01-29 05:24:57 UTC
jsparse.c in Artifex MuJS through 1.0.2 does not properly maintain the AST depth for binary expressions, which allows remote attackers to cause a denial of service (excessive recursion) via a crafted file.

External References:
https://nvd.nist.gov/vuln/detail/CVE-2018-5759

Upstream Patch:
http://git.ghostscript.com/?p=mujs.git;a=commit;h=4d45a96e57fbabf00a7378b337d0ddcace6f38c1

Comment 1 Sam Fowler 2018-01-29 05:25:24 UTC
Created mujs tracking bugs for this issue:

Affects: fedora-all [bug 1539515]

Comment 2 Product Security DevOps Team 2019-06-08 03:38:30 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.